Loading...
Searching...
No Matches
Halide::Internal::LoweredArgument Struct Reference

Definition of an argument to a LoweredFunc. More...

`#include <Module.h>`

Inheritance diagram for Halide::Internal::LoweredArgument:

## Public Member Functions

| LoweredArgument ()=default
| LoweredArgument (const Argument &arg)
| LoweredArgument (const std::string &_name, Kind _kind, const Type &_type, uint8_t _dimensions, const ArgumentEstimates &argument_estimates)
Public Member Functions inherited from Halide::Argument
| Argument ()=default
| Argument (const std::string &_name, Kind _kind, const Type &_type, int _dimensions, const ArgumentEstimates &argument_estimates)
template<typename T, int Dims>
| Argument (Buffer< T, Dims > im)
bool | is_buffer () const
bool | is_scalar () const
bool | is_input () const
bool | is_output () const
bool | operator== (const Argument &rhs) const

## Public Attributes

ModulusRemainder | alignment
| For scalar arguments, the modulus and remainder of this argument.
Public Attributes inherited from Halide::Argument
std::string | name
| The name of the argument.
Kind | kind = InputScalar
uint8_t | dimensions = 0
| If kind == InputBuffer|OutputBuffer, this is the dimensionality of the buffer.
Type | type
| If this is a scalar parameter, then this is its type.
ArgumentEstimates | argument_estimates

## Additional Inherited Members

Public Types inherited from Halide::Argument
enum | Kind { InputScalar = halide_argument_kind_input_scalar , InputBuffer = halide_argument_kind_input_buffer , OutputBuffer = halide_argument_kind_output_buffer }
| An argument is either a primitive type (for parameters), or a buffer pointer. More...

## Detailed Description

Definition of an argument to a LoweredFunc.

This is similar to Argument, except it enables passing extra information useful to some targets to LoweredFunc.

Definition at line 84 of file Module.h.

## Constructor & Destructor Documentation

## LoweredArgument() [1/3]

Halide::Internal::LoweredArgument::LoweredArgument | ( |  | ) |

default

## LoweredArgument() [2/3]

Halide::Internal::LoweredArgument::LoweredArgument | ( | const Argument & | arg | ) |

inline explicit

Definition at line 90 of file Module.h.

References Halide::Argument::Argument().

## LoweredArgument() [3/3]

Halide::Internal::LoweredArgument::LoweredArgument | ( | const std::string & | _name,
|  | Kind | _kind,
|  | const Type & | _type,
|  | uint8_t | _dimensions,
|  | const ArgumentEstimates & | argument_estimates )

inline

Definition at line 93 of file Module.h.

References Halide::Argument::Argument(), and Halide::Argument::argument_estimates.

## Member Data Documentation

## alignment

ModulusRemainder Halide::Internal::LoweredArgument::alignment

For scalar arguments, the modulus and remainder of this argument.

Definition at line 87 of file Module.h.

The documentation for this struct was generated from the following file:

- src/Module.h